Bug 500451 - libcaca update breaks dependencies
libcaca update breaks dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libcaca (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 14:28 EDT by Michal Jaegermann
Modified: 2009-06-11 04:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 04:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2009-05-12 14:28:42 EDT
Description of problem:

libcaca-0.99-0.7.beta16 has a link libcucul.so.0 but, unfortunately this does not  show up in "provides".  As a result 'repoquery -f libcucul.so.0' responds with 'libcaca-0:0.99-0.4.beta11.fc9.i386' and similar for 64 bits.  Unfortunately at least 'xine' has a dependency on libcucul.  The link exists so forcing an upgrade does not break anything but 'package-cleanup --problems' will complain about
"Missing dependencies".

With F10 xine seems to depend directly on libcaca so this problem does not arise.  If it will show up somewhere else I do not know. Attempts to find on F10 libcucul with repoquery bring blank.

Version-Release number of selected component (if applicable):
libcaca-0.99-0.7.beta16
Comment 1 Michal Jaegermann 2009-05-14 11:54:16 EDT
xine-0.99.5-6.fc9 rebuild of xine does not depend on libcucul but on libcaca; similar to packages for newer Fedora distros.  If nothing else wants directly libcucul, which I do not know, then this should resolve the issue.
Comment 2 Bug Zapper 2009-06-09 23:42:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthias Saou 2009-06-11 04:55:20 EDT
Since Michal wrote that with the xine rebuild the initial problem is fixed, and that no one else reported problems for other applications, I'll close this report.

Note You need to log in before you can comment on or make changes to this bug.